Subject: Re: [pcp] WGLC: draft-ietf-pcp-anycast-02 comments due by NOV 10

From: Dave Thaler <[email-masked]>
Date: Fri, 31 Oct 2014 21:13:05 +0000

I have reviewed this document and my comments can be found in the marked up copy at
http://research.microsoft.com/~dthaler/draft-ietf-pcp-anycast-02.pdf

A summary is:

1)      I agree that section 2.1 should be rewritten to reference draft-ietf-pcp-server-selection.

For example, section 3 of that draft already covers multiple IP addresses.  Are

the two IPv4 and IPv6 anycast addresses to be used as specified in that section?

2)      Section 1 is unclear about whether the anycast address is configured or hard-coded

(I expect the latter) and how it relates to the default router addresses discussed in

RFC 6887 section 8.1.   Is this draft supposed to Update RFC 6887 or not?

3)      A bunch of grammar issues throughout the appendices.  Either clean up or remove

the appendices.

4)      If kept, Appendix B should reference RFC 7094, and remove anything redundant

with that RFC.

5)      Discussion of DNS in B.3 contains some potentially controversial text that isn't

needed in a discussion of PCP anycast.  Either remove appendix B, or just remove

said controversial text so we don't need to get consensus on it.

-Dave

From: Dave Thaler
Sent: Monday, October 27, 2014 1:23 PM
To: [email-masked]
Subject: WGLC: draft-ietf-pcp-anycast-02 comments due by NOV 10

This email initiates a Working Group Last Call on : draft-ietf-pcp-anycast-02 to conclude on

Monday, November 10th at the PCP WG meeting in Honolulu.  Please send comments to the list.

As a reminder, when responding to a WGLC, what we chairs are looking for is a statement about

document quality (not really about whether the mechanism should move forward).  That is,

state whether you think the document is ready as is, or if not, what issues you see.

Thanks,

-Dave